package com.bjtdba.entity.order;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商品属性值表(StoreProductAttrValue)实体类
 *
 * @author makejava
 * @since 2022-09-28 10:55:44
 */
public class StoreProductAttrValue implements Serializable {
    private static final long serialVersionUID = -25672686910209023L;
    /**
     * 商品ID
     */
    private Long productId;
    
    private String detail;
    /**
     * 商品属性索引值 (attr_value|attr_value[|....])
     */
    private String sku;
    /**
     * 属性对应的库存
     */
    private Long stock;
    /**
     * 销量
     */
    private Long sales;
    /**
     * 图片
     */
    private String image;
    /**
     * 产品条码
     */
    private String barCode;
    /**
     * 成本价
     */
    private BigDecimal cost;
    /**
     * 原价
     */
    private Double otPrice;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 体积
     */
    private Double volume;
    /**
     * 重量
     */
    private Double weight;
    /**
     * 活动类型 0=商品
     */
    private Integer type;
    /**
     * 养老金
     */
    private BigDecimal extensionOne;
    /**
     * 二级佣金(已经舍弃)
     */
    private BigDecimal extensionTwo;
    /**
     * 唯一值
     */
    private String unique;
    /**
     * 大仓会员价
     */
    private Double dacangPrice;
    /**
     * 供应链成本价
     */
    private Double costPrice;
    /**
     * 供应链sku_id
     */
    private String gongSkuId;


    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public Long getStock() {
        return stock;
    }

    public void setStock(Long stock) {
        this.stock = stock;
    }

    public Long getSales() {
        return sales;
    }

    public void setSales(Long sales) {
        this.sales = sales;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public Double getOtPrice() {
        return otPrice;
    }

    public void setOtPrice(Double otPrice) {
        this.otPrice = otPrice;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Double getVolume() {
        return volume;
    }

    public void setVolume(Double volume) {
        this.volume = volume;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getExtensionOne() {
        return extensionOne;
    }

    public void setExtensionOne(BigDecimal extensionOne) {
        this.extensionOne = extensionOne;
    }

    public BigDecimal getExtensionTwo() {
        return extensionTwo;
    }

    public void setExtensionTwo(BigDecimal extensionTwo) {
        this.extensionTwo = extensionTwo;
    }

    public String getUnique() {
        return unique;
    }

    public void setUnique(String unique) {
        this.unique = unique;
    }

    public Double getDacangPrice() {
        return dacangPrice;
    }

    public void setDacangPrice(Double dacangPrice) {
        this.dacangPrice = dacangPrice;
    }

    public Double getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(Double costPrice) {
        this.costPrice = costPrice;
    }

    public String getGongSkuId() {
        return gongSkuId;
    }

    public void setGongSkuId(String gongSkuId) {
        this.gongSkuId = gongSkuId;
    }

}

